Error when updating Phoca Cart

Phoca Cart - complex e-commerce extension
hacki
Phoca Newbie
Phoca Newbie
Posts: 1
Joined: 17 Oct 2020, 12:52

Error when updating Phoca Cart

Post by hacki » 17 Oct 2020, 13:05

Hi,

I get the following error message when upgrading to 3.5.3:

Warnung
JInstaller: :Install: SQL-Fehler Row size too large. The maximum row size for the used table type, not counting BLOBs, is 8126. This includes storage overhead, check the manual. You have to change some columns to TEXT or BLOBs
Erweiterung „Aktualisierung“: SQL Fehler beim Ausführen der Abfrage: „DB-Funktion mit Fehlercode 1118 fehlgeschlagen!
Row size too large. The maximum row size for the used table type, not counting BLOBs, is 8126. This includes storage overhead, check the manual. You have to change some columns to TEXT or BLOBs
SQL =
ALTER TABLE `#__phocacart_categories` ADD COLUMN `owner_id` int(11) NOT NULL DEFAULT '0';

Any idea how I can solve that?

Kind regards,

alex


PS: Igrore the german parts ;-)

User avatar
Jan
Phoca Hero
Phoca Hero
Posts: 43996
Joined: 10 Nov 2007, 18:23
Location: Czech Republic
Contact:

Re: Error when updating Phoca Cart

Post by Jan » 17 Oct 2020, 15:53

Hi, hmmm, hard to say.

Do you have some more detailed error message. The alter table does not include any text part.

Which version did you update?
Which database do you use (mysql, mariadb, other)?

Jan
If you find Phoca extensions useful, please support the project

burgerre
Phoca Newbie
Phoca Newbie
Posts: 9
Joined: 25 Jul 2014, 00:32
Location: Schweiz
Contact:

Re: Error when updating Phoca Cart

Post by burgerre » 23 Oct 2020, 00:51

Hello
i have the same error / failer.
https://imgur.com/a/RsQbHUC
<blockquote class="imgur-embed-pub" lang="en" data-id="a/RsQbHUC" data-context="false" ><a href="//imgur.com/a/RsQbHUC"></a></blockquote><script async src="//s.imgur.com/min/embed.js" charset="utf-8"></script>
PS: i can not see the version of Phoca download... (no entry)
=====
Warnung
JInstaller: :Install: Die Joomla!-XML-Installationsdatei konnte nicht gefunden werden.
JInstaller: :Install: Die XML-Installationsdatei konnte nicht gefunden werden.
JInstaller: :Install: SQL-Fehler Row size too large. The maximum row size for the used table type, not counting BLOBs, is 8126. This includes storage overhead, check the manual. You have to change some columns to TEXT or BLOBs
Erweiterung „Aktualisierung“: SQL Fehler beim Ausführen der Abfrage: „DB-Funktion mit Fehlercode 1118 fehlgeschlagen!
Row size too large. The maximum row size for the used table type, not counting BLOBs, is 8126. This includes storage overhead, check the manual. You have to change some columns to TEXT or BLOBs
SQL =
ALTER TABLE `#__phocadownload` ADD COLUMN `project_name` varchar(255) NOT NULL default '';

=====

User avatar
Jan
Phoca Hero
Phoca Hero
Posts: 43996
Joined: 10 Nov 2007, 18:23
Location: Czech Republic
Contact:

Re: Error when updating Phoca Cart

Post by Jan » 23 Oct 2020, 14:15

Hi, this seems like some problem with database settings, try to see:
https://stackoverflow.com/questions/226 ... umns-to-te

The problem is, Phoca Cart and Phoca Download do not install themselves, they both like any other Joomla! extensions are installed by Joomla! (they only get instructions in SQL format) and Joomla! just uses the server settings and functions for communication with database. And it seems like, on your site, there is some limit in database, maybe changing it can help. :idea:

So this is maybe much more a question on sever hosting provider :idea:

BTW - one of my test servers is freebsd like yours (screenshots) with similar settings, testing now, everything is Ok there :idea: Really hard to say what can be wrong there.

Jan
If you find Phoca extensions useful, please support the project

User avatar
Jan
Phoca Hero
Phoca Hero
Posts: 43996
Joined: 10 Nov 2007, 18:23
Location: Czech Republic
Contact:

Re: Error when updating Phoca Cart

Post by Jan » 04 May 2021, 16:26

BTW - on MariaDB, following procedure can help:

https://mariadb.com/kb/en/troubleshooti ... th-innodb/

Run following SQL query e.g. in phpMyAdmin:

Code: Select all

ALTER TABLE `jos_phocacart_table_with_problem` ROW_FORMAT=DYNAMIC
- don't forget to change the prefix "jos" to your own
- apply on table where the problem occurs

This should fix the table and after this SQL it should be possible to run it without such problems.

Jan
If you find Phoca extensions useful, please support the project

karolinuss
Phoca Newbie
Phoca Newbie
Posts: 1
Joined: 05 May 2021, 13:12

Re: Error when updating Phoca Cart

Post by karolinuss » 05 May 2021, 13:14

Having issues as well

JInstaller: :Instalar: Error SQL Duplicate entry '1' for key 'PRIMARY'
Extensión Instalar: SQL error procesando la consulta: Función de la base de datos fallida con el número de error 1062
Duplicate entry '1' for key 'PRIMARY'
SQL =
INSERT INTO `#__phocacart_order_statuses` (`id`, `title`, `published`, `ordering`, `stock_movements`, `type`, `download`, `change_user_group`, `change_points_needed`, `change_points_received`, `orders_view_display`) VALUES
(1, 'COM_PHOCACART_STATUS_PENDING', '1', '1', '-', '1', '0', '0', '1', '0', '[1]'),
(2, 'COM_PHOCACART_STATUS_CONFIRMED', '1', '2', '=', '1', '0', '1', '1', '1', '[1,3]'),
(3, 'COM_PHOCACART_STATUS_CANCELED', '1', '3', '+', '1', '0', '1', '2', '2', '[1]'),
(4, 'COM_PHOCACART_STATUS_SHIPPED', '1', '4', '=', '1', '0', '1', '1', '1', '[1,2,3]'),
(5, 'COM_PHOCACART_STATUS_REFUNDED', '1', '5', '=', '1', '0', '1', '2', '2', '[1]'),
(6, 'COM_PHOCACART_STATUS_COMPLETED', '1', '6', '=', '1', '1', '1', '1', '1', '[1,2,3]');
Paquete Instalar: Se produjo un error instalando la extensión: com_phocacart_v3.5.6.zip
×
Error
Error instalando paquete

User avatar
Jan
Phoca Hero
Phoca Hero
Posts: 43996
Joined: 10 Nov 2007, 18:23
Location: Czech Republic
Contact:

Re: Error when updating Phoca Cart

Post by Jan » 07 May 2021, 12:33

Hi, duplicate entry is another part of errors.

In this case, it means, the install script tries to add items into database, but such items are included in database yet.

This mostly happanes when extension is newly installed but there are still tables and columns in database from previous version.


So in this case, the database needs to be cleaned before installing (of course this means losing all extension data), see:

https://www.phoca.cz/documents/16-jooml ... m-manually

Jan
If you find Phoca extensions useful, please support the project

Post Reply